group "CommodityDeliveryPoints.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 3 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
deliveryPoint? | (entryPoint?, withdrawalPoint?)

Content Model Elements (3):

  deliveryPoint (in deliveryConditions in gasPhysicalLeg), entryPoint (in deliveryConditions in gasPhysicalLeg), | withdrawalPoint (in deliveryConditions in gasPhysicalLeg)

Known Usage Locations

- In definitions of global complexTypes (1):
  GasDelivery

Annotation
A Delivery Point, applicable to physically settled commodity transactions.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="CommodityDeliveryPoints.model"> <xsd:choice> <xsd:element minOccurs="0" name="deliveryPoint" type="GasDeliveryPoint"/> <xsd:sequence> <xsd:element minOccurs="0" name="entryPoint" type="CommodityDeliveryPoint"/> <xsd:element minOccurs="0" name="withdrawalPoint" type="CommodityDeliveryPoint"/> </xsd:sequence> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
deliveryPoint

  Type: | GasDeliveryPoint, simple content

  The physical or virtual point at which the commodity will be delivered.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryPoint" type="GasDeliveryPoint"/>

entryPoint

  Type: | CommodityDeliveryPoint, simple content

  The physical or virtual point at which the commodity enters a transportation system.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="entryPoint" type="CommodityDeliveryPoint"/>

withdrawalPoint

  Type: | CommodityDeliveryPoint, simple content

  The physical or virtual point at which the commodity is withdrawn from a transportation system.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="withdrawalPoint" type="CommodityDeliveryPoint"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.